Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType serverType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}kernelType
              {http://www.bea.com/ns/weblogic/90/domain}serverType

Model
  `<...>
  name?, notes?, valid-protocols?, reverse-dns-allowed?, default-protocol?, default-secure-protocol?, administration-protocol?, thread-pool-size?, system-thread-pool-size?, self-tuning-thread-pool-size-min?, self-tuning-thread-pool-size-max?, jms-thread-pool-size?, native-io-enabled?, dev-poll-disabled?, muxer-class?, socket-readers?, thread-pool-percent-socket-readers?, socket-reader-timeout-min-millis?, socket-reader-timeout-max-millis?, outbound-enabled?, outbound-private-key-enabled?, max-message-size?, max-t3-message-size?, socket-buffer-size-as-chunk-size?, max-http-message-size?, max-com-message-size?, max-iiop-message-size?, default-giop-minor-version?, use-iiop-locate-request?, iiop-tx-mechanism?, iiop-location-forward-policy?, complete-message-timeout?, complete-t3-message-timeout?, complete-http-message-timeout?, complete-com-message-timeout?, idle-connection-timeout?, idle-iiop-connection-timeout?, complete-iiop-message-timeout?, period-length?, idle-periods-until-timeout?, rjvm-idle-timeout?, response-timeout?, dgc-idle-periods-until-timeout?, ssl?, iiop?, log?, log-remote-exceptions-enabled?, instrument-stack-trace-enabled?, execute-queue*, max-open-sock-count?, stuck-thread-max-time?, stuck-thread-timer-interval?, tracing-enabled?, messaging-bridge-thread-pool-size?, mtu-size?, load-stub-using-context-class-loader?, refresh-client-runtime-descriptor?, timed-out-ref-isolation-time?, use81-style-execute-queues?, t3-client-abbrev-table-size?, t3-server-abbrev-table-size?, machine?, listen-port?, listen-port-enabled?, cluster?, cluster-weight?, replication-group?, preferred-secondary-group?, auto-migration-enabled?, web-server?, jdbc-logging-enabled?, j2ee12-only-mode-enabled?, j2ee13-warning-enabled?, iiop-enabled?, default-iiop-user?, default-iiop-password-encrypted?, tgiop-enabled?, default-tgiop-user?, default-tgiop-password-encrypted?, com-enabled?, jrmp-enabled?, com?, server-debug?, httpd-enabled?, system-password-encrypted?, console-input-enabled?, listen-thread-start-delay-secs?, listeners-bind-early?, listen-address?, external-dns-name?, interface-address?, network-access-point*, accept-backlog?, max-backoff-between-failures?, login-timeout-millis?, administration-port-enabled?, administration-port?, jndi-transportable-object-factory*, iiop-connection-pools?, xml-registry?, xml-entity-cache?, java-compiler?, java-compiler-pre-class-path?, java-compiler-post-class-path?, extra-rmic-options?, extra-ejbc-options?, verbose-ejb-deployment-enabled?, transaction-log-file-prefix?, transaction-log-file-write-policy?, network-class-loading-enabled?, tunneling-enabled?, tunneling-client-ping-secs?, tunneling-client-timeout-secs?, admin-reconnect-interval-seconds?, jms-default-connection-factories-enabled?, server-start?, listen-delay-secs?, jta-migratable-target?, low-memory-time-interval?, low-memory-sample-size?, low-memory-granularity-level?, low-memory-gc-threshold?, staging-directory-name?, upload-directory-name?, staging-mode?, auto-restart?, auto-kill-if-failed?, restart-interval-seconds?, restart-max?, health-check-interval-seconds?, health-check-timeout-seconds?, health-check-start-delay-seconds?, restart-delay-seconds?, classpath-servlet-disabled?, default-internal-servlets-disabled?, server-version?, startup-mode?, server-life-cycle-timeout-val?, startup-timeout?, graceful-shutdown-timeout?, ignore-sessions-during-shutdown?, managed-server-independence-enabled?, msi-file-replication-enabled?, client-cert-proxy-enabled?, weblogic-plugin-enabled?, hosts-migratable-services?, http-trace-support-enabled?, key-stores?, custom-identity-key-store-file-name?, custom-identity-key-store-type?, custom-identity-key-store-pass-phrase-encrypted?, custom-trust-key-store-file-name?, custom-trust-key-store-type?, custom-trust-key-store-pass-phrase-encrypted?, java-standard-trust-key-store-pass-phrase-encrypted?, reliable-delivery-policy?, message-id-prefix-enabled?, default-file-store?, candidate-machine?, overload-protection?, jdbcllr-table-name?, jdbcllr-table-xid-column-size?, jdbcllr-table-pool-column-size?, jdbcllr-table-record-column-size?, jdbc-login-timeout-seconds?, server-diagnostic-config?, auto-jdbc-connection-close?, supported-protocol*, federation-services?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This class represents a WebLogic Server. A WebLogic Server is a Java process that is a container for J2EE applications.

  MBean: `ServerMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `valid-protocols` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`boolean` | `reverse-dns-allowed` optional This bean represents the configuration of the core message passing kernel on both WebLogic clients and servers.
`annonymous type derived from string` | `default-protocol` optional The protocol to use for connections when none is specified.
`annonymous type derived from string` | `default-secure-protocol` optional The protocol to use for secure connections when none is specified.
`annonymous type derived from string` | `administration-protocol` optional Returns the protocol to be used for administrative connections when none is specified.
`annonymous type derived from int` | `thread-pool-size` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `system-thread-pool-size` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `self-tuning-thread-pool-size-min` optional
`annonymous type derived from int` | `self-tuning-thread-pool-size-max` optional
`annonymous type derived from int` | `jms-thread-pool-size` optional
`boolean` | `native-io-enabled` optional This bean represents the configuration of the core message passing kernel on both WebLogic clients and servers.
`boolean` | `dev-poll-disabled` optional This bean represents the configuration of the core message passing kernel on both WebLogic clients and servers.
`string` | `muxer-class` optional The muxer class name.
`annonymous type derived from int` | `socket-readers` optional The number of socket reader threads Privileges: Read/Write Default Value: -1 Minimum value: `-1` Maximum value: `65534` Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `thread-pool-percent-socket-readers` optional The percentage of execute threads from the default queue that can be used as socket readers.
`annonymous type derived from int` | `socket-reader-timeout-min-millis` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `socket-reader-timeout-max-millis` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`boolean` | `outbound-enabled` optional This bean represents the configuration of the core message passing kernel on both WebLogic clients and servers.
`boolean` | `outbound-private-key-enabled` optional This bean represents the configuration of the core message passing kernel on both WebLogic clients and servers.
`annonymous type derived from int` | `max-message-size` optional The maximum number of bytes allowed in messages that are received over all supported protocols, unless overridden by a protocol-specific setting or a custom channel setting.
`int` | `max-t3-message-size` optional The maximum number of bytes allowed in messages that are received over the T3 protocol.
`boolean` | `socket-buffer-size-as-chunk-size` optional This bean represents the configuration of the core message passing kernel on both WebLogic clients and servers.
`int` | `max-http-message-size` optional The maximum number of bytes allowed in messages that are received over the HTTP protocol.
`int` | `max-com-message-size` optional The maximum number of bytes allowed in messages that are received over the COM protocol.
`int` | `max-iiop-message-size` optional The maximum number of bytes allowed in messages that are received over the IIOP protocol.
`annonymous type derived from int` | `default-giop-minor-version` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`boolean` | `use-iiop-locate-request` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from string` | `iiop-tx-mechanism` optional Configures IIOP propagate transactions using either WebLogic-specific JTA or the OMG-specified OTS.
`annonymous type derived from string` | `iiop-location-forward-policy` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `complete-message-timeout` optional The maximum number of seconds that this server waits for a complete message to be received.
`annonymous type derived from int` | `complete-t3-message-timeout` optional The maximum number of seconds spent waiting for a complete T3 message to be received.
`annonymous type derived from int` | `complete-http-message-timeout` optional The maximum number of seconds spent waiting for a complete HTTP message to be received.
`annonymous type derived from int` | `complete-com-message-timeout` optional The maximum number of seconds spent waiting for a complete COM message to be received.
`annonymous type derived from int` | `idle-connection-timeout` optional The maximum number of seconds that a connection is allowed to be idle before it is closed by the server.
`annonymous type derived from int` | `idle-iiop-connection-timeout` optional The maximum number of seconds an IIOP connection is allowed to be idle before it is closed by the server.
`annonymous type derived from int` | `complete-iiop-message-timeout` optional The maximum number of seconds spent waiting for a complete IIOP message to be received.
`annonymous type derived from int` | `period-length` optional The time interval in milliseconds of the heartbeat period.
`annonymous type derived from int` | `idle-periods-until-timeout` optional The number of idle periods until peer is considered unreachable Privileges: Read/Write Default Value: 4 Minimum value: `4` Maximum value: `65534` Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `rjvm-idle-timeout` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `response-timeout` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`int` | `dgc-idle-periods-until-timeout` optional The number of idle periods allowed before object is collected.
`anyType` | `ssl` optional Returns the kernel's SSL configuration.
`anyType` | `iiop` optional Returns the kernel's IIOP configuration.
`anyType` | `log` optional Returns the Log settings for this Kernel.
`boolean` | `log-remote-exceptions-enabled` optional This bean represents the configuration of the core message passing kernel on both WebLogic clients and servers.
`boolean` | `instrument-stack-trace-enabled` optional This bean represents the configuration of the core message passing kernel on both WebLogic clients and servers.
`anyType` | `execute-queue` 0...∞ Returns the execute queues configured for this server.
`annonymous type derived from int` | `max-open-sock-count` optional The maximum number of open sockets allowed in server at a given point of time.
`annonymous type derived from int` | `stuck-thread-max-time` optional The number of seconds that a thread must be continually working before this server considers the thread stuck.
`annonymous type derived from int` | `stuck-thread-timer-interval` optional The number of seconds after which WebLogic Server periodically scans threads to see if they have been continually working for the configured maximum length of time.
`boolean` | `tracing-enabled` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `messaging-bridge-thread-pool-size` optional Returns the size of the messaging bridge execute thread pool.
`int` | `mtu-size` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`boolean` | `load-stub-using-context-class-loader` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`boolean` | `refresh-client-runtime-descriptor` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`long` | `timed-out-ref-isolation-time` optional
`boolean` | `use81-style-execute-queues` optional Backward compatibility mode to switch to 8.
`annonymous type derived from int` | `t3-client-abbrev-table-size` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `t3-server-abbrev-table-size` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `machine` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `listen-port` optional The default TCP port that this server uses to listen for regular (non-SSL) incoming connections.
`boolean` | `listen-port-enabled` optional This class represents a WebLogic Server.
`string` | `cluster` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `cluster-weight` optional The proportion of the load that this server will bear, relative to other servers in a cluster.
`string` | `replication-group` optional Defines preferred clustered instances considered for hosting replicas of the primary HTTP session states created on the server.
`string` | `preferred-secondary-group` optional Defines secondary clustered instances considered for hosting replicas of the primary HTTP session states created on the server.
`boolean` | `auto-migration-enabled` optional This class represents a WebLogic Server.
`anyType` | `web-server` optional Returns the web server for this server.
`boolean` | `jdbc-logging-enabled` optional This class represents a WebLogic Server.
`boolean` | `j2ee12-only-mode-enabled` optional This class represents a WebLogic Server.
`boolean` | `j2ee13-warning-enabled` optional This class represents a WebLogic Server.
`boolean` | `iiop-enabled` optional This class represents a WebLogic Server.
`string` | `default-iiop-user` optional The user name of the default IIOP user.
`string` | `default-iiop-password-encrypted` optional The encrypted password for the default IIOP user.
`boolean` | `tgiop-enabled` optional This class represents a WebLogic Server.
`string` | `default-tgiop-user` optional The default user associated with the Tuxedo GIOP (TGIOP) protocol.
`string` | `default-tgiop-password-encrypted` optional The encrypted password for the default TGIOP user.
`boolean` | `com-enabled` optional This class represents a WebLogic Server.
`boolean` | `jrmp-enabled` optional This class represents a WebLogic Server.
`anyType` | `com` optional Returns the server's COM configuration.
`anyType` | `server-debug` optional
`boolean` | `httpd-enabled` optional This class represents a WebLogic Server.
`string` | `system-password-encrypted` optional The password required to access administrative functions on this server.
`boolean` | `console-input-enabled` optional This class represents a WebLogic Server.
`int` | `listen-thread-start-delay-secs` optional Returns the maximum time that the server will wait for server sockets to bind before starting a listen thread.
`boolean` | `listeners-bind-early` optional Determines whether the server should bind server sockets early.
`string` | `listen-address` optional
`string` | `external-dns-name` optional The external IP address or DNS name for this server.
`string` | `interface-address` optional The IP address of the NIC that this server should use for multicast traffic.
`anyType` | `network-access-point` 0...∞ Network access points, or "NAPs", define additional ports and addresses that this server listens on.
`annonymous type derived from int` | `accept-backlog` optional The number of backlogged, new TCP connection requests that should be allowed for this server's regular and SSL ports.
`annonymous type derived from int` | `max-backoff-between-failures` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `login-timeout-millis` optional The login timeout for this server's default regular (non-SSL) listen port.
`boolean` | `administration-port-enabled` optional This class represents a WebLogic Server.
`annonymous type derived from int` | `administration-port` optional The secure administration port for the server.
`string` | `jndi-transportable-object-factory` 0...∞ List of factories that create transportable objects.
`string` | `iiop-connection-pools` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `xml-registry` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `xml-entity-cache` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `java-compiler` optional The Java compiler to use for all applications hosted on this server that need to compile Java code.
`string` | `java-compiler-pre-class-path` optional The options to prepend to the Java compiler classpath when compiling Java code.
`string` | `java-compiler-post-class-path` optional The options to append to the Java compiler classpath when compiling Java code.
`string` | `extra-rmic-options` optional The options passed to the RMIC compiler during server-side generation.
`string` | `extra-ejbc-options` optional The options passed to the EJB compiler during server-side generation.
`string` | `verbose-ejb-deployment-enabled` optional Whether or not verbose deployment of EJBs is enabled.
`string` | `transaction-log-file-prefix` optional The path prefix for the server's JTA transaction log files.
`annonymous type derived from string` | `transaction-log-file-write-policy` optional The policy that determines how transaction log file entries are written to disk.
`boolean` | `network-class-loading-enabled` optional This class represents a WebLogic Server.
`boolean` | `tunneling-enabled` optional This class represents a WebLogic Server.
`annonymous type derived from int` | `tunneling-client-ping-secs` optional The interval (in seconds) at which to ping a tunneled client to see if it is still alive.
`annonymous type derived from int` | `tunneling-client-timeout-secs` optional The amount of time (in seconds) after which a missing tunneled client is considered dead.
`annonymous type derived from int` | `admin-reconnect-interval-seconds` optional The number of seconds between reconnection attempts to the admin server.
`boolean` | `jms-default-connection-factories-enabled` optional This class represents a WebLogic Server.
`anyType` | `server-start` optional Returns the ServerStartMBean that can be used to start up this server remotely.
`int` | `listen-delay-secs` optional Perpetuated for compatibility with 6.
`anyType` | `jta-migratable-target` optional Returns the JTAMigratableTargetMBean that is used to deploy the JTA Recovery Service to (is the server's cluster is not null).
`annonymous type derived from int` | `low-memory-time-interval` optional The amount of time (in seconds) that defines the interval over which this server determines average free memory values.
`annonymous type derived from int` | `low-memory-sample-size` optional The number of times this server samples free memory during the time period specified by LowMemoryTimeInterval.
`annonymous type derived from int` | `low-memory-granularity-level` optional The granularity level (in percent) that this server uses for logging low memory conditions and changing the server health state to `Warning.`
`annonymous type derived from int` | `low-memory-gc-threshold` optional The threshold level (in percent) that this server uses for logging low memory conditions and changing the server health state to `Warning.`
`string` | `staging-directory-name` optional The directory path on the Managed Server where all staged (prepared) applications are placed.
`string` | `upload-directory-name` optional The directory path on the Administration Server where all uploaded applications are placed.
`string` | `staging-mode` optional The mode that specifies whether an application's files are copied from a source on the Administration Server to the Managed Server's staging area during application preparation.
`boolean` | `auto-restart` optional Specifies whether the Node Manager can automatically restart this server if it crashes or otherwise or goes down unexpectedly.
`boolean` | `auto-kill-if-failed` optional Specifies whether the Node Manager should automatically kill this server if its health state is `failed.`
`annonymous type derived from int` | `restart-interval-seconds` optional The number of seconds during which this server can be restarted, up to the number of times specified in RestartMax.
`annonymous type derived from int` | `restart-max` optional The number of times that the Node Manager can restart this server within the interval specified in RestartInterval.
`annonymous type derived from int` | `health-check-interval-seconds` optional The number of seconds that defines the frequency of this server's self-health monitoring.
`annonymous type derived from int` | `health-check-timeout-seconds` optional The number of seconds the Node Manager should wait before timing out its health query to this server.
`annonymous type derived from int` | `health-check-start-delay-seconds` optional The number of seconds the Node Manager should wait before starting to monitor the server.
`annonymous type derived from int` | `restart-delay-seconds` optional The number of seconds the Node Manager should wait before restarting this server.
`boolean` | `classpath-servlet-disabled` optional This class represents a WebLogic Server.
`boolean` | `default-internal-servlets-disabled` optional This class represents a WebLogic Server.
`string` | `server-version` optional The release identifier for the server.
`string` | `startup-mode` optional The state in which this server should be started.
`annonymous type derived from int` | `server-life-cycle-timeout-val` optional Number of seconds a force shutdown operation waits before timing out and killing itself.
`annonymous type derived from int` | `startup-timeout` optional Timeout value for server start and resume operations.
`annonymous type derived from int` | `graceful-shutdown-timeout` optional Number of seconds a graceful shutdown operation waits before forcing a shut down.
`boolean` | `ignore-sessions-during-shutdown` optional This class represents a WebLogic Server.
`boolean` | `managed-server-independence-enabled` optional This class represents a WebLogic Server.
`boolean` | `msi-file-replication-enabled` optional
`boolean` | `client-cert-proxy-enabled` optional This class represents a WebLogic Server.
`boolean` | `weblogic-plugin-enabled` optional This class represents a WebLogic Server.
`boolean` | `hosts-migratable-services` optional Gets the hostsMigratableServices attribute of the ServerMBean object Privileges: Read only Default Value: true Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`boolean` | `http-trace-support-enabled` optional This class represents a WebLogic Server.
`annonymous type derived from string` | `key-stores` optional Which configuration rules should be used for finding the server's identity and trust keystores? Privileges: Read/Write Default Value: DemoIdentityAndDemoTrust MBean Attribute: `ServerMBean.`
`string` | `custom-identity-key-store-file-name` optional The path and file name of the identity keystore.
`string` | `custom-identity-key-store-type` optional The type of the keystore.
`string` | `custom-identity-key-store-pass-phrase-encrypted` optional Returns encrypted pass phrase defined when creating the keystore.
`string` | `custom-trust-key-store-file-name` optional The path and file name of the custom trust keystore.
`string` | `custom-trust-key-store-type` optional The type of the keystore.
`string` | `custom-trust-key-store-pass-phrase-encrypted` optional The custom trust keystore's encrypted passphrase.
`string` | `java-standard-trust-key-store-pass-phrase-encrypted` optional The encrypted password for the Java Standard Trust keystore.
`string` | `reliable-delivery-policy` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`boolean` | `message-id-prefix-enabled` optional This class represents a WebLogic Server.
`anyType` | `default-file-store` optional Controls the configuration of the default persistent store on this server.
`string` | `candidate-machine` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`anyType` | `overload-protection` optional get attributes related to server overload protection Privileges: Read only Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `jdbcllr-table-name` optional The table name for this server's Logging Last Resource (LLR) database table(s).
`int` | `jdbcllr-table-xid-column-size` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`int` | `jdbcllr-table-pool-column-size` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`int` | `jdbcllr-table-record-column-size` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `jdbc-login-timeout-seconds` optional Get the JDBC Login Timeout value.
`anyType` | `server-diagnostic-config` optional The diagnostic configuration for the servers Privileges: Read only Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `auto-jdbc-connection-close` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `supported-protocol` 0...∞ Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`anyType` | `federation-services` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1